JobOccurrencesModel (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class JobOccurrencesModel

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.JobOccurrencesModel

- All Implemented Interfaces:
    Serializable

      public class JobOccurrencesModel
      extends Object
      implements Serializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BYDATASOURCE`
    `static String` | `COMPLETEDENTRY`
    `static String` | `CSVTYPE`
    `static String` | `DATASOURCESASSTRING`
    `static String` | `DESCRIPTION`
    `protected String` | `elapsedTime`
    `static String` | `ELAPSEDTIME`
    `protected Date` | `endTime`
    `static String` | `ENDTIME`
    `static String` | `FILEFORMAT`
    `static String` | `ITEMSNUMBER`
    `static String` | `JOBINDENTIFIER`
    `static String` | `JOBNAME`
    `static String` | `PERCENTAGE`
    `static String` | `PROGRESS`
    `static String` | `SCIENTIFICNAME`
    `protected Date` | `startTime`
    `static String` | `STARTTIME`
    `static String` | `STATUS`
    `protected Date` | `submitTime`
    `static String` | `SUBMITTIME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobOccurrencesModel()`
    `JobOccurrencesModel(String jobIdentifier, String jobName)`
    `JobOccurrencesModel(String jobIdentifier, String jobName, String description, DownloadState state, String scientificName, List<DataSource> listDataSource, Date submitTime, Date endTime, int nodeCompleted, int totalOccurrence)` USED FROM GET LIST ON SERVER
    `JobOccurrencesModel(String jobIdentifier, String jobName2, String scientificName2, List<DataSource> dataSourceList, SaveFileFormat fileFormat2, OccurrencesSaveEnum csvType, boolean byDataSource2)`
    `JobOccurrencesModel(String jobIdentifier, String jobName2, String scientificName2, List<DataSource> dataSourceList, SaveFileFormat fileFormat, OccurrencesSaveEnum csvType, boolean byDataSource, int totalOccurrence)` USED FROM CREATE JOB ON CLIENT

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OccurrencesSaveEnum` | `getCsvType()`
    `List<DataSource>` | `getDataSources()`
    `List<String>` | `getDataSourcesNameAsString()`
    `String` | `getDescription()`
    `DownloadState` | `getDownloadState()`
    `String` | `getElapsedTime()`
    `Date` | `getEndTime()`
    `SaveFileFormat` | `getFileFormat()`
    `String` | `getJobIdentifier()`
    `String` | `getJobName()`
    `int` | `getNodeCompleted()`
    `float` | `getPercentage()`
    `String` | `getScientificName()`
    `Date` | `getStartTime()`
    `Date` | `getSubmitTime()`
    `int` | `getTotalOccurrences()`
    `boolean` | `isByDataSource()`
    `void` | `setByDataSource(boolean byDataSource)`
    `void` | `setCsvType(OccurrencesSaveEnum csvType)`
    `void` | `setDataSources(List<DataSource> dataSources)`
    `void` | `setDescription(String description)`
    `void` | `setElapsedTime(String elapsedTime)`
    `void` | `setEndTime(Date endTime)`
    `void` | `setFileFormat(SaveFileFormat fileFormat)`
    `void` | `setId(String jobId)`
    `void` | `setJobName(String jobName)`
    `void` | `setNodeCompleted(int nodeCompleted)`
    `void` | `setPercentage(float percentage)`
    `void` | `setScientificName(String scientificName)`
    `void` | `setStartTime(Date startTime)`
    `void` | `setState(DownloadState state)`
    `void` | `setSubmitTime(Date startTime)`
    `void` | `setTotalOccurrences(int totalOccurrences)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JOBINDENTIFIER

          public static final String JOBINDENTIFIER

      See Also:
        Constant Field Values

    - #### JOBNAME

          public static final String JOBNAME

      See Also:
        Constant Field Values

    - #### STARTTIME

          public static final String STARTTIME

      See Also:
        Constant Field Values

    - #### SUBMITTIME

          public static final String SUBMITTIME

      See Also:
        Constant Field Values

    - #### PROGRESS

          public static final String PROGRESS

      See Also:
        Constant Field Values

    - #### ENDTIME

          public static final String ENDTIME

      See Also:
        Constant Field Values

    - #### ELAPSEDTIME

          public static final String ELAPSEDTIME

      See Also:
        Constant Field Values

    - #### DATASOURCESASSTRING

          public static final String DATASOURCESASSTRING

      See Also:
        Constant Field Values

    - #### SCIENTIFICNAME

          public static final String SCIENTIFICNAME

      See Also:
        Constant Field Values

    - #### PERCENTAGE

          public static final String PERCENTAGE

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### STATUS

          public static final String STATUS

      See Also:
        Constant Field Values

    - #### FILEFORMAT

          public static final String FILEFORMAT

      See Also:
        Constant Field Values

    - #### CSVTYPE

          public static final String CSVTYPE

      See Also:
        Constant Field Values

    - #### BYDATASOURCE

          public static final String BYDATASOURCE

      See Also:
        Constant Field Values

    - #### COMPLETEDENTRY

          public static final String COMPLETEDENTRY

      See Also:
        Constant Field Values

    - #### ITEMSNUMBER

          public static final String ITEMSNUMBER

      See Also:
        Constant Field Values

    - #### startTime

          protected Date startTime

    - #### submitTime

          protected Date submitTime

    - #### endTime

          protected Date endTime

    - #### elapsedTime

          protected String elapsedTime

  - ### Constructor Detail

    - #### JobOccurrencesModel

          public JobOccurrencesModel()

    - #### JobOccurrencesModel

          public JobOccurrencesModel(String jobIdentifier,
                             String jobName)

      Parameters:
        `jobIdentifier` -
        `currentJobName` -

    - #### JobOccurrencesModel

          public JobOccurrencesModel(String jobIdentifier,
                             String jobName,
                             String description,
                             DownloadState state,
                             String scientificName,
                             List<DataSource> listDataSource,
                             Date submitTime,
                             Date endTime,
                             int nodeCompleted,
                             int totalOccurrence)

      USED FROM GET LIST ON SERVER
      Parameters:
        `jobIdentifier` -
        `jobName` -
        `description` -
        `state` -
        `scientificName` -
        `dataSources` -
        `submitTime` -
        `endTime` -
        `nodeCompleted` -
        `totalOccurrence` -

    - #### JobOccurrencesModel

          public JobOccurrencesModel(String jobIdentifier,
                             String jobName2,
                             String scientificName2,
                             List<DataSource> dataSourceList,
                             SaveFileFormat fileFormat,
                             OccurrencesSaveEnum csvType,
                             boolean byDataSource,
                             int totalOccurrence)

      USED FROM CREATE JOB ON CLIENT
      Parameters:
        `jobIdentifier` -
        `jobName2` -
        `scientificName2` -
        `dataSourceList` -
        `fileFormat` -
        `saveEnum` -
        `byDataSource` -

    - #### JobOccurrencesModel

          public JobOccurrencesModel(String jobIdentifier,
                             String jobName2,
                             String scientificName2,
                             List<DataSource> dataSourceList,
                             SaveFileFormat fileFormat2,
                             OccurrencesSaveEnum csvType,
                             boolean byDataSource2)

  - ### Method Detail

    - #### setJobName

          public void setJobName(String jobName)

    - #### setScientificName

          public void setScientificName(String scientificName)

    - #### setId

          public void setId(String jobId)

    - #### setDescription

          public void setDescription(String description)

    - #### getDescription

          public String getDescription()

    - #### getJobIdentifier

          public String getJobIdentifier()

    - #### getJobName

          public String getJobName()

    - #### getScientificName

          public String getScientificName()

    - #### setDataSources

          public void setDataSources(List<DataSource> dataSources)

    - #### getDataSources

          public List<DataSource> getDataSources()

    - #### getSubmitTime

          public Date getSubmitTime()

    - #### setSubmitTime

          public void setSubmitTime(Date startTime)

    - #### setEndTime

          public void setEndTime(Date endTime)

    - #### getEndTime

          public Date getEndTime()

    - #### setPercentage

          public void setPercentage(float percentage)

    - #### getPercentage

          public float getPercentage()

    - #### setState

          public void setState(DownloadState state)

    - #### getDownloadState

          public DownloadState getDownloadState()

    - #### getElapsedTime

          public String getElapsedTime()

    - #### setElapsedTime

          public void setElapsedTime(String elapsedTime)

    - #### getFileFormat

          public SaveFileFormat getFileFormat()

    - #### setFileFormat

          public void setFileFormat(SaveFileFormat fileFormat)

    - #### getCsvType

          public OccurrencesSaveEnum getCsvType()

    - #### setCsvType

          public void setCsvType(OccurrencesSaveEnum csvType)

    - #### isByDataSource

          public boolean isByDataSource()

    - #### setByDataSource

          public void setByDataSource(boolean byDataSource)

    - #### getNodeCompleted

          public int getNodeCompleted()

    - #### setNodeCompleted

          public void setNodeCompleted(int nodeCompleted)

    - #### getDataSourcesNameAsString

          public List<String> getDataSourcesNameAsString()

    - #### getTotalOccurrences

          public int getTotalOccurrences()

    - #### setTotalOccurrences

          public void setTotalOccurrences(int totalOccurrences)

    - #### getStartTime

          public Date getStartTime()

    - #### setStartTime

          public void setStartTime(Date startTime)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All Rights Reserved.